@echo off
rem -----------------------------------------------------------------------------
rem     We open the sound volume app in playback and recording modes
rem     and position them nicely.
rem     We expect titles "Lautstrkeregelung" and "Aufnahme" (since my system is german) or similar.
rem     If your system is not in german, then set WND1 and WND2 to the name masks (including
rem     wildcards) to the names of the sound volume windows in playback and recording modes.

set WND1=Lautst*  
set WND2=Aufnahme*

rem     First we close all sound volume windows we can find.
CmdOnWnd /all app=sndvol32.exe wnd=%WND1% cmd=SendMessage message=WM_CLOSE
CmdOnWnd /all app=sndvol32.exe wnd=%WND2% cmd=SendMessage message=WM_CLOSE

rem     Now we start sound volume in playback and recording modes.
start sndvol32.exe
start sndvol32.exe /rec

rem     We wait until the 2 sound volume windows do exist. Each CmdOnWnd call will block until the desired
rem     sound volume window can be found or the delay expires.
CmdOnWnd app=sndvol32.exe wnd=%WND1% cmd=WaitExist delay=20000
CmdOnWnd app=sndvol32.exe wnd=%WND2% cmd=WaitExist delay=20000

rem     Now we position the 2 sound volume windows.
CmdOnWnd app=sndvol32.exe wnd=%WND1% cmd=SetPos right_ofs=-4 top=4
CmdOnWnd app=sndvol32.exe wnd=%WND2% cmd=SetPos right_ofs=-4 top=304

rem     Unremark the following lines if you want to make the sound volume windows semi-transparent.
rem CmdOnWnd app=sndvol32.exe wnd=%WND1% cmd=SetAlphaTransparency alpha = 200
rem CmdOnWnd app=sndvol32.exe wnd=%WND2% cmd=SetAlphaTransparency alpha = 200
